关于eclipse中实现接口添加@Override报错的解决方法

版权声明:flykoala版权所有 https://blog.csdn.net/fanzhijun123/article/details/86507645

最近用eclipse创建maven项目,写了一个接口后添加了接口的实现类,直接在实现类里快捷地添加了未实现方法(此时实现的方法前面并没有加@Override),写完之后工程正常运行没有问题。

但是,我在eclipse上加载了阿里编码规约扫描的插件后,扫描了完成的工程,提示每个实现类中实现方法必须要加@Override,我修改了实现类,工程报错。

导致原因:这是由于你安装的eclipse有一个默认的编码环境,当前jdk与默认环境不匹配。

解决方法:Eclipse->Window->Preferences->Java->compiler,如图

sss

点击红圈所示地方,选择你要修改编译环境的工程,ok后,如图,选择跟你jdk匹配的版本即可

ee

相应的,还需修改工程的配置文件,找到工程目录,有个.settings的文件夹,找到org.eclipse.wst.common.project.facet.core.xml文件,修改后就ok了

a

展开阅读全文

没有更多推荐了,返回首页